<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="ade72edfa4915bdc" weblate-flags="read-only, safe-html, strict-same">
        <source>= Initializer Lists Initializer lists can be used to construct or assign a &lt;&lt;ref_value&gt;&gt;:</source>
        <target state="translated">= Initializer Lists Initializer lists can be used to construct or assign a &lt;&lt;ref_value&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4ef18e9e4907fc9c" weblate-flags="read-only, safe-html, strict-same">
        <source>Simple initializer lists produce an &lt;&lt;ref_array&gt;&gt;:</source>
        <target state="translated">Simple initializer lists produce an &lt;&lt;ref_array&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">19</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7c676bcb1616d66a" weblate-flags="read-only, safe-html, strict-same">
        <source>Initializer lists can be nested. Here we construct an array as an element of an array:</source>
        <target state="translated">Initializer lists can be nested. Here we construct an array as an element of an array:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">26</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e740f384b95aeba3" weblate-flags="read-only, safe-html, strict-same">
        <source>When a two element initializer list is nested within an enclosing initializer list, it is unclear whether it represents an &lt;&lt;ref_array&gt;&gt; or an &lt;&lt;ref_object&gt;&gt;:</source>
        <target state="translated">When a two element initializer list is nested within an enclosing initializer list, it is unclear whether it represents an &lt;&lt;ref_array&gt;&gt; or an &lt;&lt;ref_object&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="970541568d02bf1c" weblate-flags="read-only, safe-html, strict-same">
        <source>In such cases, if every element consists of a string followed by a single value, then the enclosing initializer list is interpreted as an &lt;&lt;ref_object&gt;&gt;. Otherwise, it is interpreted as an &lt;&lt;ref_array&gt;&gt;.</source>
        <target state="translated">In such cases, if every element consists of a string followed by a single value, then the enclosing initializer list is interpreted as an &lt;&lt;ref_object&gt;&gt;. Otherwise, it is interpreted as an &lt;&lt;ref_array&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73733223325d2b1c" weblate-flags="read-only, safe-html, strict-same">
        <source>To resolve the ambiguity manually, use an explicit constructor:</source>
        <target state="translated">To resolve the ambiguity manually, use an explicit constructor:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1c2417aa0a57fb37" weblate-flags="read-only, safe-html, strict-same">
        <source>Initializer lists can be used to unambiguously construct or assign an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt;:</source>
        <target state="translated">Initializer lists can be used to unambiguously construct or assign an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">59</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fa2cf8395148bc0c" weblate-flags="read-only, safe-html, strict-same">
        <source>Similarly, an initializer list for an &lt;&lt;ref_object&gt;&gt; is always interpreted as an &lt;&lt;ref_object&gt;&gt;. In such cases, the initializer list must be a list of key-value pairs. For example, the following code will not compile because `1` is not convertible to a string:</source>
        <target state="translated">Similarly, an initializer list for an &lt;&lt;ref_object&gt;&gt; is always interpreted as an &lt;&lt;ref_object&gt;&gt;. In such cases, the initializer list must be a list of key-value pairs. For example, the following code will not compile because `1` is not convertible to a string:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">67</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c4862d8ea36b5a2f" weblate-flags="read-only, safe-html, strict-same">
        <source>The requirement for an initializer list to be interpreted as an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt; when initializing such an entity only applies to the outermost initializer list; subsequent nested elements will follow the usual ambiguity resolution rules.</source>
        <target state="translated">The requirement for an initializer list to be interpreted as an &lt;&lt;ref_object&gt;&gt; or &lt;&lt;ref_array&gt;&gt; when initializing such an entity only applies to the outermost initializer list; subsequent nested elements will follow the usual ambiguity resolution rules.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">77</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a44b1dc0f39de22e" weblate-flags="read-only, safe-html, strict-same">
        <source>Elements that are rvalues will be moved upon initialization:</source>
        <target state="translated">Elements that are rvalues will be moved upon initialization:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="98b33dea1b17cd18" weblate-flags="read-only, safe-html, strict-same">
        <source>In all cases, the &lt;&lt;ref_storage_ptr&gt;&gt; owned by an &lt;&lt;ref_object&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, or &lt;&lt;ref_value&gt;&gt; constructed from an initializer list will be propagated to each element, recursively.</source>
        <target state="translated">In all cases, the &lt;&lt;ref_storage_ptr&gt;&gt; owned by an &lt;&lt;ref_object&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, or &lt;&lt;ref_value&gt;&gt; constructed from an initializer list will be propagated to each element, recursively.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">100</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
